data:extend({

{
type = "technology",
name = "adv-weapon-1",
icon = "__base__/graphics/technology/military.png",
prerequisites = {"military-3"},
effects =
	{
		{
		type = "unlock-recipe",
		recipe = "assault-rifle"
		}
	},
unit =
	{
	count = 50,
	ingredients =
		{
		{"science-pack-1", 1},
		{"science-pack-2", 1},
		{"science-pack-3", 1}
		},
	time = 30
	},
order = "e-a-e"
},

{
type = "technology",
name = "adv-weapon-2",
icon = "__base__/graphics/technology/military.png",
prerequisites = {"adv-weapon-1"},
effects =
	{
		{
		type = "unlock-recipe",
		recipe = "sniper-rifle"
		},
		{
		type = "unlock-recipe",
		recipe = "sniper-rifle-magazine"
		}
	},
unit =
	{
	count = 100,
	ingredients =
		{
		{"science-pack-1", 1},
		{"science-pack-2", 1},
		{"science-pack-3", 1},
		{"alien-science-pack", 1}
		},
	time = 60
	},
order = "e-a-f"
},

{
type = "technology",
name = "adv-weapon-3",
icon = "__base__/graphics/technology/military.png",
prerequisites = {"adv-weapon-2","laser-turrets"},
effects =
	{
		{
		type = "unlock-recipe",
		recipe = "laser-rifle"
		},
		{
		type = "unlock-recipe",
		recipe = "charge-pack"
		}
	},
unit =
	{
	count = 150,
	ingredients =
		{
		{"science-pack-1", 1},
		{"science-pack-2", 1},
		{"science-pack-3", 1},
		{"alien-science-pack", 1}
		},
	time = 60
	},
order = "e-a-g"
}

})